TokyoTyrant::sync
TokyoTyrantTable
TokyoTyrant
PHP Manual

# TokyoTyrant::vanish

(PECL tokyo_tyrant >= Unknown)

TokyoTyrant::vanish — Empties the database

### Description

public void TokyoTyrant::vanish ( void )

Empties a remote database

### Parameters

This function has no parameters.

### Return Values

This method returns the current object and throws TokyoTyrantException on failure.

### Examples

Example #1 TokyoTyrant::vanish example

`<?php
$tt = new TokyoTyrant("localhost");
$tt->vanish();
?>`

### See Also

- TokyoTyrant::out - Removes records

TokyoTyrant::sync
TokyoTyrantTable
TokyoTyrant
PHP Manual